/****************************************************************************** 
 *                      Sources BCB - www.developpez.com                      * 
 * -------------------------------------------------------------------------- * 
 *                                                                            *
 * Options.cpp                                                                *
 * Version : 1.0.0 mise  jour le 11 avril 2005                               *
 * Copyright Cryptonyx 2005 (http://five.chez.tiscali.fr)                     *
 *                                                                            * 
 * Test avec:                                                                * 
 * SE: WinXP                                                                  *
 * IDE: BCB6                                                                  *
 *                                                                            * 
 * -------------------------------------------------------------------------- * 
 *                                                                            *
 * Algorithmes de cration de fractales                                       *
 *                                                                            *
 * -------------------------------------------------------------------------- * 
 *                                                                            * 
 * Retrouvez d'autres ressources BCB sur :                                    * 
 *  - http://c.developpez.com/sources/bcb/                                    * 
 *  - http://c.developpez.com/faq/bcb/                                        * 
 * Ainsi que sur les forums (http://www.developpez.net/forums/)               * 
 *                                                                            * 
 ******************************************************************************/
//---------------------------------------------------------------------------
#include <vcl.h>
//---------------------------------------------------------------------------
#include "options.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
#pragma hdrstop
//---------------------------------------------------------------------------
TSelectBox *SelectBox;
//---------------------------------------------------------------------------
__fastcall TSelectBox::TSelectBox(TComponent *Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TSelectBox::OKClick(TObject *Sender)
{
   Close();
   ModalResult = mrOk;
}

//---------------------------------------------------------------------------
void __fastcall TSelectBox::CancelClick(TObject *Sender)
{
   ModalResult = mrCancel;
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TSelectBox::FormCreate(TObject *Sender)
{
   Color = clRed;
}
//---------------------------------------------------------------------------


void __fastcall TSelectBox::ColorSelectionClick(TObject *Sender)
{
   ColorDialog->Color = Color;
   if(ColorDialog->Execute() == mrOk) {
     Fractal->BaseColor = ColorDialog->Color;
     Color = ColorDialog->Color;
     ColorPick->Color = Color;
   }
}
//---------------------------------------------------------------------------

void __fastcall TSelectBox::CenterButtonClick(TObject *Sender)
{
   XInput->Text = "0";
   YInput->Text = "0";
}
//---------------------------------------------------------------------------

