/****************************************************************************** 
 *                      Sources BCB - www.developpez.com                      * 
 * -------------------------------------------------------------------------- * 
 *                                                                            *
 * FractalDemo.h                                                              *
 * Version : 1.0.0 mise  jour le 11 avril 2005                               *
 * Copyright Cryptonyx 2005 (http://five.chez.tiscali.fr)                     *
 *                                                                            * 
 * Test avec:                                                                * 
 * SE: WinXP                                                                  *
 * IDE: BCB6                                                                  *
 *                                                                            * 
 * -------------------------------------------------------------------------- * 
 *                                                                            *
 * Algorithmes de cration de fractales                                       *
 *                                                                            *
 * -------------------------------------------------------------------------- * 
 *                                                                            * 
 * Retrouvez d'autres ressources BCB sur :                                    * 
 *  - http://c.developpez.com/sources/bcb/                                    * 
 *  - http://c.developpez.com/faq/bcb/                                        * 
 * Ainsi que sur les forums (http://www.developpez.net/forums/)               * 
 *                                                                            * 
 ******************************************************************************/
//---------------------------------------------------------------------------
#ifndef FractalDemoH
#define FractalDemoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
#include <jpeg.hpp>
#include "fractal.h"
//---------------------------------------------------------------------------
class TBackGround : public TForm
{
__published:	// Composants grs par l'EDI
   TMainMenu *MainMenu;
   TMenuItem *FractalMenuItem;
   TMenuItem *DoJulia;
   TMenuItem *DoMandelbrot;
   TMenuItem *DoLyapounov;
   TMenuItem *InformationMenuITem;
   TMenuItem *HelpMenuItem;
   TMenuItem *AboutMenuItem;
   TMenuItem *ImageItem;
   TMenuItem *Load;
   TMenuItem *Save;
   TMenuItem *Quit;
   TMenuItem *Parameters;
   TMenuItem *Formula;
   TOpenPictureDialog *OpenPictureDialog;
   TSavePictureDialog *SavePictureDialog;
   TMenuItem *Clear;
   TMenuItem *Refresh;
   TMenuItem *N1;
   TMenuItem *N2;
   TMenuItem *InitLyapounov;
   void __fastcall AboutMenuItemClick(TObject *Sender);
   void __fastcall HelpMenuItemClick(TObject *Sender);
   void __fastcall DoJuliaClick(TObject *Sender);
   void __fastcall DoMandelbrotClick(TObject *Sender);
   void __fastcall DoLyapounovClick(TObject *Sender);
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall QuitClick(TObject *Sender);
   void __fastcall LoadClick(TObject *Sender);
   void __fastcall SaveClick(TObject *Sender);
   void __fastcall ClearClick(TObject *Sender);
	void __fastcall FormulaClick(TObject *Sender);
   void __fastcall RefreshClick(TObject *Sender);
   void __fastcall InitLyapounovClick(TObject *Sender);
private:	// Dclarations utilisateur
public:		// Dclarations utilisateur
   Graphics::TBitmap *Bitmap;
   TFractal *Fractal;
   __fastcall TBackGround(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TBackGround *BackGround;
//---------------------------------------------------------------------------
#endif
