/****************************************************************************** 
 *                      Sources BCB - www.developpez.com                      * 
 * -------------------------------------------------------------------------- * 
 *                                                                            *
 * Options.h                                                                  *
 * Version : 1.0.0 mise  jour le 11 avril 2005                               *
 * Copyright Cryptonyx 2005 (http://five.chez.tiscali.fr)                     *
 *                                                                            * 
 * Test avec:                                                                * 
 * SE: WinXP                                                                  *
 * IDE: BCB6                                                                  *
 *                                                                            * 
 * -------------------------------------------------------------------------- * 
 *                                                                            *
 * Algorithmes de cration de fractales                                       *
 *                                                                            *
 * -------------------------------------------------------------------------- * 
 *                                                                            * 
 * Retrouvez d'autres ressources BCB sur :                                    * 
 *  - http://c.developpez.com/sources/bcb/                                    * 
 *  - http://c.developpez.com/faq/bcb/                                        * 
 * Ainsi que sur les forums (http://www.developpez.net/forums/)               * 
 *                                                                            * 
 ******************************************************************************/
//---------------------------------------------------------------------------
#ifndef optionsH
#define optionsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include "fractal.h"
//---------------------------------------------------------------------------
class TSelectBox : public TForm
{
__published:	// IDE-managed Components
   TLabel *XDisplay;
   TLabel *YDisplay;
   TEdit *XInput;
   TEdit *YInput;
   TEdit *RInput;
   TEdit *IInput;
   TEdit *SetSizeValue;
   TLabel *RDisplay;
   TLabel *IDisplay;
   TLabel *ZoomLabel;
   TEdit *ZoomEdit;
   TLabel *SetSize;
   TButton *CenterButton;
   TButton *ColorSelection;
   TButton *Cancel;
   TButton *OK;
   TColorDialog *ColorDialog;
   TEdit *ColorPick;
   void __fastcall OKClick(TObject *Sender);
   void __fastcall CancelClick(TObject *Sender);
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall ColorSelectionClick(TObject *Sender);
   void __fastcall CenterButtonClick(TObject *Sender);
private:	// User declarations
public:	// User declarations
   TColor Color;
   TFractal *Fractal;
	__fastcall TSelectBox(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TSelectBox *SelectBox;
//---------------------------------------------------------------------------
#endif
